Bug 798265 - [abrt] ibus-1.4.99.20120203-3.fc17: main.py:28:<module>:ImportError: No module named gi.repository
[abrt] ibus-1.4.99.20120203-3.fc17: main.py:28:<module>:ImportError: No modul...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:0ca78eb10935509cb33bbb86e5c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 08:28 EST by hallan
Modified: 2012-03-16 17:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: ibus-fbterm-0.9.1-14.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-16 17:23:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description hallan 2012-02-28 08:28:45 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/share/ibus/setup/main.py
executable:     /usr/share/ibus/setup/main.py
kernel:         3.3.0-0.rc4.git1.4.fc17.i686
reason:         main.py:28:<module>:ImportError: No module named gi.repository
time:           Tue 28 Feb 2012 09:39:23 AM BRT
uid:            1000
username:       hallan

backtrace:
:main.py:28:<module>:ImportError: No module named gi.repository
:
:Traceback (most recent call last):
:  File "/usr/share/ibus/setup/main.py", line 28, in <module>
:    from gi.repository import GLib
:ImportError: No module named gi.repository
:
:Local variables in innermost frame:
:signal: <module 'signal' (built-in)>
:__builtins__: <module '__builtin__' (built-in)>
:__file__: '/usr/share/ibus/setup/main.py'
:__package__: None
:sys: <module 'sys' (built-in)>
:time: <module 'time' from '/usr/lib/python2.7/lib-dynload/timemodule.so'>
:__name__: '__main__'
:os: <module 'os' from '/usr/lib/python2.7/os.pyc'>
:__doc__: None

smolt_data:
:
:
:General
:=================================
:UUID: 530b3742-192c-45a0-97ef-e7f306b058f1
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 3191.93
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Atom(TM) CPU Z530   @ 1.60GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 28
:Number of CPUs: 2
:CPU Speed: 1600
:System Memory: 985
:System Swap: 1983
:Vendor: Dell Inc.
:System: Inspiron 1010 A11
:Form factor: Portable
:Kernel: 3.3.0-0.rc4.git1.4.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:33049:4136:710) pci, None, PCI/ISA, System Controller Hub (SCH Poulsbo) LPC Bridge
:(32902:33032:4136:710) pci, gma500, VIDEO, System Controller Hub (SCH Poulsbo) Graphics Controller
:(32902:33040:4136:710) pci, pcieport, PCI/PCI, System Controller Hub (SCH Poulsbo) PCI Express Port 1
:(32902:33042:4136:710) pci, pcieport, PCI/PCI, System Controller Hub (SCH Poulsbo) PCI Express Port 2
:(32902:33051:4136:710) pci, snd_hda_intel, MULTIMEDIA, System Controller Hub (SCH Poulsbo) HD Audio Controller
:(5348:17173:4136:12) pci, b43-pci-bridge, NETWORK, Wireless 1397 WLAN Mini-Card
:(4332:33078:4136:710) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:33045:4136:710) pci, uhci_hcd, USB, System Controller Hub (SCH Poulsbo) USB UHCI #2
:(32902:33044:4136:710) pci, uhci_hcd, USB, System Controller Hub (SCH Poulsbo) USB UHCI #1
:(32902:33024:4136:710) pci, None, HOST/PCI, System Controller Hub (SCH Poulsbo)
:(32902:33046:4136:710) pci, uhci_hcd, USB, System Controller Hub (SCH Poulsbo) USB UHCI #3
:(32902:33050:4136:710) pci, pata_sch, STORAGE, System Controller Hub (SCH Poulsbo) IDE Controller
:(32902:33047:4136:710) pci, ehci_hcd, USB, System Controller Hub (SCH Poulsbo) USB EHCI #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_whitestar-lv_root / ext4 4096 4096 13092922 12269855 12138822 3276800 3177457 3177457
:/dev/sda2 /boot ext4 1024 1024 508745 433527 407927 128016 127789 127789
:/dev/mapper/vg_whitestar-lv_home /home ext4 4096 4096 25282497 24863555 23597482 6332416 6332003 6332003
:
Comment 1 fujiwara 2012-02-28 20:52:34 EST
Probably I think installing pygobject3 could resolve this problem.

# yum install pygobject3
Comment 2 Fedora Update System 2012-03-13 22:32:35 EDT
ibus-fbterm-0.9.1-14.fc17, ibus-qt-1.3.1-8.fc17, ibus-handwrite-2.1.4-4.fc17, sunpinyin-2.0.3-4.fc17, ibus-input-pad-1.4.0-7.fc17, eekboard-1.0.5-4.fc17, ibus-skk-1.4.0-3.fc17, ibus-sayura-1.3.1-4.fc17, ibus-rawcode-1.3.1.20100707-7.fc17, ibus-m17n-1.3.3-9.fc17, ibus-hangul-1.4.0-5.fc17, ibus-chewing-1.3.10-3.fc17, ibus-pinyin-1.4.0-14.fc17, ibus-1.4.99.20120304-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-3532/ibus-fbterm-0.9.1-14.fc17,ibus-qt-1.3.1-8.fc17,ibus-handwrite-2.1.4-4.fc17,sunpinyin-2.0.3-4.fc17,ibus-input-pad-1.4.0-7.fc17,eekboard-1.0.5-4.fc17,ibus-skk-1.4.0-3.fc17,ibus-sayura-1.3.1-4.fc17,ibus-rawcode-1.3.1.20100707-7.fc17,ibus-m17n-1.3.3-9.fc17,ibus-hangul-1.4.0-5.fc17,ibus-chewing-1.3.10-3.fc17,ibus-pinyin-1.4.0-14.fc17,ibus-1.4.99.20120304-3.fc17
Comment 3 Fedora Update System 2012-03-16 17:23:16 EDT
ibus-fbterm-0.9.1-14.fc17, ibus-qt-1.3.1-8.fc17, ibus-handwrite-2.1.4-4.fc17, sunpinyin-2.0.3-4.fc17, ibus-input-pad-1.4.0-7.fc17, eekboard-1.0.5-4.fc17, ibus-skk-1.4.0-3.fc17, ibus-sayura-1.3.1-4.fc17, ibus-rawcode-1.3.1.20100707-7.fc17, ibus-m17n-1.3.3-9.fc17, ibus-hangul-1.4.0-5.fc17, ibus-chewing-1.3.10-3.fc17, ibus-pinyin-1.4.0-14.fc17, ibus-1.4.99.20120304-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.